<!DOCTYPE html>
<html>
<head>
    <title></title>
</head>
<body>
    <form>
        <section>
            <p>
                Datalist
            </p>
            <fieldset>
                <label for="inputLista">Lista de colores</label>
                <input list="listacolores" name="inputLista">
                <datalist id="listacolores">
                    <option value="Azul">
                    <option value="Rojo">
                    <option value="Amarillo">
                    <option value="Negro">
                    <option value="Blanco">
                </datalist>
            </fieldset>
        </section>

        <section>
            <p>URL Input</p>
            <fieldset>
                <label for="url">Lista urls</label>
                <input type="url" name="url" id="url"
                placeholder="https://example.com"
                pattern="https://.*"
                list="listaurls"
                required>
                <datalist id="listaurls">
                    <option value="0" label="cero">
                    <option value="0" label="uno">
                    <option value="0" label="dos">
                    <option value="0" label="tres">
                    <option value="0" label="cuatro">
                    <option value="0" label="cinco">

                </datalist>
            </fieldset>
        </section>
        <br>
        <input type="submit" name="btn_enviar" value="Enviar">
        <input type="reset" name="btn_limpiar" value="Limpiar">

    </form>
</body>
</html>